identify(1)

NAME
identify - describe the format and characteristics of one or more image files.

SYNOPSIS
identify [ options ... ] file [ file ... ]

DESCRIPTION
identify describes the format and characteristics of one or more image files. It will also report if an image is incomplete or corrupt. The information displayed includes the scene number, the file name, the width and height of the image, whether the image is colormapped or not, the number of colors in the image, the number of bytes in the image, the format of the image (JPEG, PNM, etc.), and finally the number of seconds it took to read and process the image. An example line output from identify follows:
     images/aquarium.miff 640x480 PseudoClass 256c 308135b MIFF 1s
If -verbose is set, expect additional output including any image comment:
     Image: images/aquarium.miff
       class: PseudoClass
       colors: 256
       signature: eb5dca81dd93ae7e6ffae99a5275a53e
       matte: False
       geometry: 640x480
       depth: 8
       bytes: 308135
       format: MIFF
       comments:
         Imported from MTV raster image:  aquarium.mtv

OPTIONS

-cache threshold
    megabytes of memory available to the pixel cache. Image pixels are stored in memory until 80 megabytes of memory have been consumed. Subsequent pixel operations are cached on disk. Operations to memory are significantly faster but if your computer does not have a sufficient amount of free memory you may want to adjust this threshold value.

-format string
    output formatted image characteristics. Use this option to print information about the image in a format of your choosing. You can include the image filename, type, width, height, or other image attributes by embedding special format characters:
        %b   file size
        %d   directory
        %e   filename extention
        %f   filename
        %h   height
        %i   input filename
        %l   label
        %m   magick
        %n   number of scenes
        %o   output filename
        %p   page number
        %q   quantum depth
        %s   scene number
        %t   top of filename
        %u   unique temporary filename
        %w   width
        %x   x resolution
        %y   y resolution
        \n   newline
        \r   carriage return
    For example,
         -format "%m:%f %wx%h"
    displays MIFF:bird.miff 512x480 for an image titled bird.miff and whose width is 512 and height is 480. If the first character of string is @, the image comment is read from a file titled by the remaining characters in the string.

-ping
    efficiently determine image characteristics. This is a more efficient and less memory intensive way to query if an image exists and what its size is. Note, only the size of the first image in a multi-frame image file is returned.

-size <width>x<height>+<offset>
    width and height of the image. Use this option to specify the width and height of raw images whose dimensions are unknown such as GRAY, RGB, or CMYK. In addition to width and height, use -size to skip any header information in the image or tell the number of colors in a MAP image file, (e.g. -size 640x512+256). For Photo CD images, choose from these sizes:
          192x128
          384x256
          768x512
         1536x1024
         3072x2048
    Finally, use this option to choose a particular resolution layer of a JBIG or JPEG image (e.g. -size 1024x768).

-verbose
    print detailed information about the image. This information is printed: image name; the image class (DirectClass or PseudoClass); the total number of unique colors; whether there is a matte associated with the image; the number of runlength packets; the image size; the depth of the image; the image format; the image scene; and finally any image comment. Refer to miff(1) for a description of the image class.

SEE ALSO
display(1), animate(1), montage(1), mogrify(1), convert(1), combine(1), xtp(1)

COPYRIGHT
Copyright (C) 2000 ImageMagick Studio, a non-profit organization dedicated to making software imaging solutions freely available. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files ("ImageMagick"), to deal in ImageMagick without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of ImageMagick, and to permit persons to whom the ImageMagick is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of ImageMagick. The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In no event shall ImageMagick Studio be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with ImageMagick or the use or other dealings in ImageMagick. Except as contained in this notice, the name of the ImageMagick Studio shall not be used in advertising or otherwise to promote the sale, use or other dealings in ImageMagick without prior written authorization from the ImageMagick Studio.

AUTHORS
John Cristy, E.I. du Pont De Nemours and Company Incorporated